%option noyywrap
%x par

%{
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>
#include "ipac.h"
#include "conffile.tab.h"
%}

%%
#.*\n					;
\=					BEGIN(par); return EQUAL;
<par>[ \t]+				;
<par>yes|YES|true|TRUE			BEGIN(0); conflval.n = 1; return BOOL;
<par>no|NO|FALSE|false			BEGIN(0); conflval.n = 0; return BOOL;
<par>[[:alnum:]\/\-\.]+|[ \t]*\n	BEGIN(0); conflval.s = (char *) strdup(conftext); return PARAMETER;
"classic"[ \t]+"mode"			return CLASSIC;
"access"[ \t]+"agent"		 	return ACCESS;
"account"[ \t]+"agent"			return ACCOUNT;
"storage"				return STORAGE;
"rules"[ \t]+"file"			return RULES;
"login"[ \t]+"at"[ \t]+"start"		return SLOGIN;
"auth"[ \t]+"host"[ \t]+		return AUTHHOST;
"drop"[ \t]+"zero"[ \t]+"lines"[ \t]+	return DROPZERO;
[ \t]+					;
[\n]+					;
%%
